package com.cim.idm.mwmsextend.transport.management.info;

import com.cim.idm.framework.data.TransitionInfo;
import com.cim.idm.framework.orm.info.access.ObjectValueUserColumnsAccessor;

public class CreateInfo extends ObjectValueUserColumnsAccessor implements TransitionInfo {
	
	private String transportCommandID;
	private String state;
	private String transportCommandDetailType;
	private String destination;
	private String invoiceNo;
	private String packingGroupQty;
	private long   priority;
	
	public String getTransportCommandID() {
		return transportCommandID;
	}
	public void setTransportCommandID(String transportCommandID) {
		this.transportCommandID = transportCommandID;
	}
	public String getState() {
		return state;
	}
	public void setState(String state) {
		this.state = state;
	}
	public String getTransportCommandDetailType() {
		return transportCommandDetailType;
	}
	public void setTransportCommandDetailType(String transportCommandDetailType) {
		this.transportCommandDetailType = transportCommandDetailType;
	}
	public String getDestination() {
		return destination;
	}
	public void setDestination(String destination) {
		this.destination = destination;
	}
	public String getInvoiceNo() {
		return invoiceNo;
	}
	public void setInvoiceNo(String invoiceNo) {
		this.invoiceNo = invoiceNo;
	}
	public String getPackingGroupQty() {
		return packingGroupQty;
	}
	public void setPackingGroupQty(String packingGroupQty) {
		this.packingGroupQty = packingGroupQty;
	}
	public long getPriority() {
		return priority;
	}
	public void setPriority(long priority) {
		this.priority = priority;
	}
	
	
}
